%define shortname	torrent-rasterbar
%define major		2.0
%define libname		%mklibname %{shortname} %{major}
%define develname	%mklibname %{shortname} -d

%global binding		1
%define url_ver	        %(echo %{version}|sed 's/[.]/_/g')

Summary:	The Rasterbar BitTorrent library
Name:		libtorrent-rasterbar
Version:	2.0.10
Release:	%mkrel 5
License:	BSD
Group:		System/Libraries
URL:		https://libtorrent.org/
Source0:	https://github.com/arvidn/libtorrent/releases/download/v%{version}/libtorrent-rasterbar-%{version}.tar.gz
Patch2:		0001-pkgconfig-dir.patch
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(python3)

%description
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n %{libname}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library

%description -n %{libname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n python3-%{name}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library's Python 3 bindings
Requires:	%{libname} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains Python 3 bindings.

%package -n %{develname}
Group:		Development/C
Summary:	The Rasterbar BitTorrent library's development headers
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains development libraries and headers.

%prep
%setup -q
%autopatch -p1

%build
export PYTHON=%{__python3}

%global _smp_nthreads_max 4
%cmake -G Ninja \
	-Dbuild_tests=ON \
	-Dbuild_tools=ON \
%if %binding
	-Dpython-bindings=ON \
	-Dpython-egg-info=ON \
	-Dpython-install-system-dir=ON \
%else
	-Dpython-bindings=OFF \
%endif

%cmake_build

%install
%cmake_install

# Written version is malformed
sed -i 's/^Version:.*/Version: %{version}/' %{buildroot}%{python3_sitearch}/libtorrent.egg-info/PKG-INFO

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/libtorrent
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/cmake/Modules/FindLibtorrentRasterbar.cmake
%{_libdir}/cmake/LibtorrentRasterbar/

%if %binding
%files -n python3-%{name}
%{python3_sitearch}/*.so
%{python3_sitearch}/*.egg-info
%endif


%changelog
* Tue Mar 04 2025 wally <wally> 2.0.10-5.mga10
+ Revision: 2160357
- rebuild for python3.13

* Sun Feb 09 2025 wally <wally> 2.0.10-4.mga10
+ Revision: 2146245
- rebuild for boost 1.87.0

* Fri Sep 13 2024 wally <wally> 2.0.10-3.mga10
+ Revision: 2095488
- rebuild for boost 1.86.0

* Wed Jun 19 2024 wally <wally> 2.0.10-2.mga10
+ Revision: 2075362
- rebuild for boost 1.85.0

* Sat Feb 24 2024 kekepower <kekepower> 2.0.10-1.mga10
+ Revision: 2043959
- Update to version 2.0.10

* Fri Jan 12 2024 wally <wally> 2.0.9-3.mga10
+ Revision: 2030561
- rebuild for boost 1.84.0

* Wed Dec 20 2023 daviddavid <daviddavid> 2.0.9-2.mga10
+ Revision: 2019980
- rebuild for py3.12

* Mon Oct 23 2023 kekepower <kekepower> 2.0.9-1.mga10
+ Revision: 2000606
- Update to version 2.0.9

* Wed Sep 27 2023 wally <wally> 2.0.8-3.mga10
+ Revision: 1991464
- rebuild for boost 1.83.0

* Sat Dec 24 2022 wally <wally> 2.0.8-2.mga9
+ Revision: 1926498
- rebuild for boost 1.81.0

* Sun Oct 30 2022 kekepower <kekepower> 2.0.8-1.mga9
+ Revision: 1900143
- Update to version 2.0.8

* Mon Sep 12 2022 neoclust <neoclust> 2.0.7-1.mga9
+ Revision: 1887354
- New version 	2.0.7

* Sun Jul 03 2022 wally <wally> 2.0.5-4.mga9
+ Revision: 1867275
- rebuild for boost 1.79.0

* Tue Mar 29 2022 umeabot <umeabot> 2.0.5-3.mga9
+ Revision: 1833223
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 2.0.5-2.mga9
+ Revision: 1775167
- rebuild for python-3.10

* Sun Dec 19 2021 wally <wally> 2.0.5-1.mga9
+ Revision: 1762821
- new version 2.0.5
- rebuild for boost 1.78.0

* Sat Oct 02 2021 wally <wally> 2.0.4-2.mga9
+ Revision: 1747846
- rebuild for openssl 3.0.0

* Sat Sep 11 2021 wally <wally> 2.0.4-1.mga9
+ Revision: 1745122
- new version 2.0.4
- rebuild for boost 1.77.0

* Wed May 26 2021 daviddavid <daviddavid> 2.0.3-1.mga9
+ Revision: 1728366
- new version: 2.0.3
- now libmajor is 2.0

* Wed May 26 2021 daviddavid <daviddavid> 1.2.13-1.mga9
+ Revision: 1728352
- new version: 1.2.13

* Fri May 14 2021 wally <wally> 1.2.12-3.mga9
+ Revision: 1722984
- rebuild for boost 1.76.0

* Sat Mar 20 2021 daviddavid <daviddavid> 1.2.12-2.mga9
+ Revision: 1705251
- rebuild for python 3.9

* Sun Feb 28 2021 daviddavid <daviddavid> 1.2.12-1.mga9
+ Revision: 1693525
- new version: 1.2.12

* Thu Dec 31 2020 wally <wally> 1.2.11-3.mga8
+ Revision: 1666781
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 1.2.11-2.mga8
+ Revision: 1662023
- rebuild for boost 1.74.0

* Sun Dec 06 2020 luigiwalser <luigiwalser> 1.2.11-1.mga8
+ Revision: 1653263
- 1.2.11
- update source URL
- add patch to fix pkgconfig install dir
- switch to cmake and ninja

* Mon Oct 19 2020 tv <tv> 2.0.0-1.mga8
+ Revision: 1637106
- BR ninja

* Mon Oct 19 2020 tv <tv> 1.2.10-1.mga8
+ Revision: 1637057
- 1.2.10

* Mon Aug 31 2020 daviddavid <daviddavid> 1.2.9-2.mga8
+ Revision: 1620253
- backport upstream patch to default compiling with c++14 mode

* Sat Aug 29 2020 daviddavid <daviddavid> 1.2.9-1.mga8
+ Revision: 1619514
- new version: 1.2.9

* Mon Aug 10 2020 daviddavid <daviddavid> 1.2.8-1.mga8
+ Revision: 1612580
- new version: 1.2.8

* Fri Jun 05 2020 daviddavid <daviddavid> 1.2.7-1.mga8
+ Revision: 1590596
- new version: 1.2.7

* Sun May 03 2020 wally <wally> 1.2.6-2.mga8
+ Revision: 1578077
- rebuild for boost 1.73.0

* Fri Apr 24 2020 daviddavid <daviddavid> 1.2.6-1.mga8
+ Revision: 1571538
- new version: 1.2.6

* Thu Mar 12 2020 daviddavid <daviddavid> 1.2.5-1.mga8
+ Revision: 1555742
- new version: 1.2.5

* Fri Feb 21 2020 umeabot <umeabot> 1.2.4-2.mga8
+ Revision: 1547782
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 daviddavid <daviddavid> 1.2.4-1.mga8
+ Revision: 1488333
- new version: 1.2.4
- now libmajor is 10
- use system libiconv

* Mon Jan 27 2020 daviddavid <daviddavid> 1.1.14-1.mga8
+ Revision: 1483748
- new version: 1.1.14
+ wally <wally>
- rebuild for boost 1.72.0
- replace deprecated %%configure2_5x

* Sun Sep 15 2019 daviddavid <daviddavid> 1.1.13-2.mga8
+ Revision: 1441144
- port to Python 3
- drop python2 support

* Fri May 03 2019 daviddavid <daviddavid> 1.1.13-1.mga7
+ Revision: 1396302
- new version: 1.1.13

* Thu Jan 31 2019 daviddavid <daviddavid> 1.1.12-1.mga7
+ Revision: 1362026
- new version: 1.1.12

* Fri Nov 30 2018 daviddavid <daviddavid> 1.1.11-1.mga7
+ Revision: 1336816
- new version: 1.1.11

* Thu Oct 18 2018 tv <tv> 1.1.10-1.mga7
+ Revision: 1322215
- new release

* Tue Oct 16 2018 wally <wally> 1.1.9-3.mga7
+ Revision: 1321060
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 1.1.9-2.mga7
+ Revision: 1299192
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 daviddavid <daviddavid> 1.1.9-1.mga7
+ Revision: 1252503
- new version: 1.1.9
- rename and rediff link patch

* Tue May 15 2018 daviddavid <daviddavid> 1.1.7-1.mga7
+ Revision: 1229667
- new version: 1.1.7
+ wally <wally>
- fix URL

* Sat Jan 13 2018 wally <wally> 1.1.6-1.mga7
+ Revision: 1192929
- new version 1.1.6

* Wed Dec 27 2017 wally <wally> 1.1.5-3.mga7
+ Revision: 1185961
- rebuild for new boost

* Sun Nov 19 2017 tv <tv> 1.1.5-2.mga7
+ Revision: 1177736
- rebuild for boost 1.65

* Fri Oct 20 2017 daviddavid <daviddavid> 1.1.5-1.mga7
+ Revision: 1172828
- new version: 1.1.5

* Fri Sep 22 2017 daviddavid <daviddavid> 1.1.4-1.mga7
+ Revision: 1157782
- new version: 1.1.4
- remove merged upstream asio-ssl-headers patch
- reenable python bindings
- rename python-libtorrent-rasterbar to python2-libtorrent-rasterbar

* Wed Sep 13 2017 tv <tv> 1.1.2-1.mga7
+ Revision: 1153519
- new release (for new boost)
- rediff link patch0
- link with system tommath
- disable python bindings for now due to linking issue
- rebuild for new python

* Mon Sep 12 2016 daviddavid <daviddavid> 1.0.10-1.mga6
+ Revision: 1051600
- new version: 1.0.10
- remove merged upstream patch
- add a new patch to fix CVE-2016-7164 (mga#19313)
  * https://github.com/arvidn/libtorrent/issues/1021#issuecomment-246240767
- remove no longer needed bytes.hpp file

* Thu Jun 30 2016 daviddavid <daviddavid> 1.0.9-2.mga6
+ Revision: 1038213
- add upstream patch to fix a new DoS security issue CVE-2016-5301 (mga#18624)

* Thu Mar 17 2016 daviddavid <daviddavid> 1.0.9-1.mga6
+ Revision: 992340
- new version: 1.0.9

* Wed Mar 02 2016 umeabot <umeabot> 1.0.8-2.mga6
+ Revision: 983606
- Rebuild for openssl

* Tue Jan 26 2016 daviddavid <daviddavid> 1.0.8-1.mga6
+ Revision: 927884
- new version: 1.0.8
- update Source URL

* Sun Dec 27 2015 neoclust <neoclust> 1.0.7-1.mga6
+ Revision: 916163
- New version 1.0.7

* Sat Dec 26 2015 daviddavid <daviddavid> 1.0.6-3.mga6
+ Revision: 915370
- rebuild for new boost 1.60.0
- use new python macros

* Fri Sep 25 2015 tv <tv> 1.0.6-2.mga6
+ Revision: 883532
- rebuild for new boost

* Sat Sep 19 2015 matteo <matteo> 1.0.6-1.mga6
+ Revision: 881350
- new version

* Tue Sep 01 2015 sander85 <sander85> 1.0.5-4.mga6
+ Revision: 871934
- Enable python binding

* Thu Aug 27 2015 cjw <cjw> 1.0.5-3.mga6
+ Revision: 870188
- rebuild with gcc 5

* Fri Jul 31 2015 daviddavid <daviddavid> 1.0.5-2.mga6
+ Revision: 859919
- rebuild for new boost-1.58.0

* Sun Jul 19 2015 neoclust <neoclust> 1.0.5-1.mga6
+ Revision: 855400
- New version 1.0.5

* Fri Nov 21 2014 matteo <matteo> 0.16.18-1.mga5
+ Revision: 798033
- new version 0.16.18
- added bytes.hpp header file (missing from the upstream tarball)
- repatch/rediff sovers patch

* Wed Oct 15 2014 umeabot <umeabot> 0.16.17-4.mga5
+ Revision: 746092
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.16.17-3.mga5
+ Revision: 726905
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.16.17-2.mga5
+ Revision: 681819
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 matteo <matteo> 0.16.17-1.mga5
+ Revision: 639203
- new version 0.16.17
- rediff libtorrent-rasterbar-0.16.17-sovers.patch

* Sun Jun 08 2014 matteo <matteo> 0.16.16-1.mga5
+ Revision: 634732
- new version 0.16.16

* Sat May 31 2014 pterjan <pterjan> 0.16.13-2.mga5
+ Revision: 628312
- Rebuild for new Python

* Thu Mar 06 2014 matteo <matteo> 0.16.13-1.mga5
+ Revision: 600527
- new stable version (0.16.13)

* Sat Feb 08 2014 barjac <barjac> 0.16.11-4.mga5
+ Revision: 586682
- rebuild against boost-1.55

* Tue Oct 22 2013 umeabot <umeabot> 0.16.11-3.mga4
+ Revision: 542889
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.16.11-2.mga4
+ Revision: 497870
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 18 2013 matteo <matteo> 0.16.11-1.mga4
+ Revision: 467442
- new version 0.16.11
- rediff sovers patch

* Tue Jul 09 2013 fwang <fwang> 0.16.6-4.mga4
+ Revision: 451612
- rebuild for new boost

* Mon Jul 08 2013 fwang <fwang> 0.16.6-3.mga4
+ Revision: 451235
- rebuild for new boost

* Thu Apr 11 2013 barjac <barjac> 0.16.6-2.mga3
+ Revision: 409677
- rebuild for boost-1.53

* Sun Jan 13 2013 matteo <matteo> 0.16.6-1.mga3
+ Revision: 362527
- new stable version

* Sat Jan 12 2013 umeabot <umeabot> 0.16.4-3.mga3
+ Revision: 358272
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.16.4-2.mga3
+ Revision: 332965
- rebuild for new boost

* Sat Oct 06 2012 matteo <matteo> 0.16.4-1.mga3
+ Revision: 302974
- new version
- rediff sovers patch

* Sun Sep 02 2012 fwang <fwang> 0.16.3-1.mga3
+ Revision: 287248
- rediff sover patch
- new version 0.16.3

* Tue Jul 31 2012 fwang <fwang> 0.16.2-1.mga3
+ Revision: 276546
- specify boost libdir
- use autotools to build
- various cmake patch
- fix linkage
- fix linkage
- bump req
- new version 0.16.2
- let system detect boost
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 0.15.9-3.mga3
+ Revision: 249718
- rebuild for new boost
+ ovitters <ovitters>
- rebuild due to new boost

* Mon Dec 05 2011 fwang <fwang> 0.15.9-1.mga2
+ Revision: 176764
- new version 0.15.9

* Mon Nov 28 2011 fwang <fwang> 0.15.8-2.mga2
+ Revision: 173524
- rebuild for new boost

* Sun Oct 02 2011 fwang <fwang> 0.15.8-1.mga2
+ Revision: 150825
- new version 0.15.8
- rebuild for new boost
+ ahmad <ahmad>
- Update to 0.15.7
- Change the BR to pkgconfig BR style
- Don't ship .la
- Replace libgeoip-devel with geoip-devel

* Wed Jun 22 2011 fwang <fwang> 0.15.6-2.mga2
+ Revision: 111905
- rebuild for new boost

* Sat Apr 16 2011 ahmad <ahmad> 0.15.6-1.mga1
+ Revision: 86826
- update to 0.15.6

* Tue Jan 18 2011 pterjan <pterjan> 0.15.5-2.mga1
+ Revision: 21835
- Rebuild for python 2.7

* Sun Jan 16 2011 ahmad <ahmad> 0.15.5-1.mga1
+ Revision: 19964
- update to 0.15.5

* Sun Jan 16 2011 ahmad <ahmad> 0.15.4-3.mga1
+ Revision: 19942
- clean spec and drop old/unneeded scriptlets
- imported package libtorrent-rasterbar


* Sat Oct 30 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.4-2mdv2011.0
+ Revision: 590402
- rebuild for python-2.7

* Tue Oct 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.4-1mdv2011.0
+ Revision: 583123
- update to 0.15.4

* Tue Sep 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.3-2mdv2011.0
+ Revision: 581597
- now that glibc has been updated to 2.12.1 we can drop patch0. c.f.:
  http://code.google.com/p/libtorrent/issues/detail?id=57
  http://sourceware.org/bugzilla/show_bug.cgi?id=5553

* Thu Sep 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.3-1mdv2011.0
+ Revision: 578985
- update to 0.15.3

* Wed Aug 25 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.2-1mdv2011.0
+ Revision: 573279
- update to 0.15.2
- fix build with boost-1.44

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.15.1-4mdv2011.0
+ Revision: 565996
- rebuild for new boost

* Tue Jul 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.1-3mdv2011.0
+ Revision: 562063
- since underlinking patch was dropped no need to run autoreconf
- no need to remove include/libtorrent/asio*, it's not shipped in the tarball now
- fix configuration options, some of them have changed upstream

* Mon Jul 26 2010 Matthew Dawkins <mattydaw@mandriva.org> 0.15.1-2mdv2011.0
+ Revision: 560885
- added patch0 from arch to address the ASSERT hit in glibc
- new version 0.15.1
  dropped unlinking patch, no longer needed for compiling
  disabled static build

* Wed Apr 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.10-3mdv2010.1
+ Revision: 532463
- rebuild for openssl-1.0.0

* Mon Apr 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.10-2mdv2010.1
+ Revision: 531501
- resumbit because of BS oddity
- new upstream release 0.14.10

* Tue Feb 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.9-1mdv2010.1
+ Revision: 509906
- new upstream release 0.14.9

  + Funda Wang <fwang@mandriva.org>
    - rebuild

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.14.8-5mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.14.8-4mdv2010.1
+ Revision: 500332
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.14.8-3mdv2010.1
+ Revision: 500084
- rebuild for new boost

* Wed Jan 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.8-2mdv2010.1
+ Revision: 496899
- build with system geoip now that it's been moved to contrib

* Sun Jan 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.8-1mdv2010.1
+ Revision: 495409
- disable system geoip for now (till package moving is done)
- update to 0.4.18
- manually remove shipped asio headers to be sure system ones are used
  (originally from Fedora, verified by Anssi for boost < 1.35.0, so
   rm'ing them just to be sure)
- use system geoip as it seems to build correctly
- use the supplied autotools.sh again as one patch modifies Makefile.am

* Thu Dec 03 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.7-1mdv2010.1
+ Revision: 472747
- disable system-wide goip support for now
- update to new version 0.14.7
- correct url for Source0
- build against system libgeoip

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.14.6-1mdv2010.0
+ Revision: 447965
- update to new version 0.14.6

* Mon Sep 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.5-1mdv2010.0
+ Revision: 440748
- update to new version 0.14.5
- bump major
- python bindings requires main library

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 0.14.4-2mdv2010.0
+ Revision: 418845
- add python linkage fix
- rebuild for new libboost

* Mon Jun 08 2009 Oden Eriksson <oeriksson@mandriva.com> 0.14.4-1mdv2010.0
+ Revision: 383880
- new major (4)
- 0.14.4

* Sun May 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.3-2mdv2010.0
+ Revision: 374004
- obsolete old library

* Sat May 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.3-1mdv2010.0
+ Revision: 373889
- update to new version 0.14.3
- fix against libtool borkiness
- bump major to 3

* Thu Mar 12 2009 Emmanuel Andry <eandry@mandriva.org> 0.14.1-4mdv2009.1
+ Revision: 354292
- use force install with autoreconf
- rebuild for new boost

* Wed Dec 24 2008 Michael Scherer <misc@mandriva.org> 0.14.1-3mdv2009.1
+ Revision: 318430
- rebuild for new python
- fix expression so mdvsys update can be used

  + Funda Wang <fwang@mandriva.org>
    - drop strange obsoletes

* Sun Dec 21 2008 Funda Wang <fwang@mandriva.org> 0.14.1-2mdv2009.1
+ Revision: 316882
- asio is not needed, as boost contains boost:asio which is needed acturally
- rebuild for new boost

* Mon Dec 15 2008 Adam Williamson <awilliamson@mandriva.org> 0.14.1-1mdv2009.1
+ Revision: 314424
- have to specify boost libs manually as they don't get found properly on x86-64
- import libtorrent-rasterbar


